Index: branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporter.cs
===================================================================
--- branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporter.cs	(revision 2228)
+++ branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporter.cs	(revision 2228)
@@ -0,0 +1,125 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using SemWeb;
+using HeuristicLab.GP;
+using HeuristicLab.Core;
+using HeuristicLab.GP.StructureIdentification;
+using System.IO;
+using HeuristicLab.Data;
+using SVM;
+
+namespace CedmaExporter {
+  class CedmaExporter {
+
+    public static void Export(string inputFileName, string outputFileName) {
+
+      string rdfConnectionString = "sqlite:rdf:Data Source=\"" + inputFileName + "\"";
+      using (StreamWriter writer = File.CreateText(outputFileName)) {
+        using (Store store = Store.Create(rdfConnectionString)) {
+          WriteColumnHeaders(store, writer);
+          WriteModels(store, writer, new ModelExporter(Path.GetDirectoryName(outputFileName), true));
+        }
+      }
+    }
+
+    private static void WriteModels(Store store, StreamWriter writer, ModelExporter exporter) {
+      var subjects = store.SelectSubjects(new Entity(Ontology.InstanceOf.Uri), new Entity(Ontology.TypeModel.Uri));
+      int i = 0;
+      foreach (var model in subjects) {
+        writer.Write(i++); writer.Write("; ");
+        string modelFileName = "model_" + i.ToString();
+        writer.Write(modelFileName); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.TargetVariable)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.TrainingMeanSquaredError)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.ValidationMeanSquaredError)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.TestMeanSquaredError)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.TrainingCoefficientOfDetermination)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.ValidationCoefficientOfDetermination)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.TestCoefficientOfDetermination)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.TrainingMeanAbsolutePercentageError)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.ValidationMeanAbsolutePercentageError)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.TestMeanAbsolutePercentageError)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.TrainingMeanAbsolutePercentageOfRangeError)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.ValidationMeanAbsolutePercentageOfRangeError)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.TestMeanAbsolutePercentageOfRangeError)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.TrainingVarianceAccountedFor)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.ValidationVarianceAccountedFor)[0]).ToString()); writer.Write("; ");
+        writer.Write(LiteralValue(store.SelectObjects(model, Ontology.TestVarianceAccountedFor)[0]).ToString()); writer.Write("; ");
+        WriteVariableImpacts(writer, store, model);
+        writer.WriteLine();
+        var data = PersistenceManager.RestoreFromGZip(Convert.FromBase64String((string)LiteralValue(store.SelectObjects(model, Ontology.SerializedData)[0])));
+        exporter.Export(modelFileName, data);
+      }
+    }
+
+    private static void WriteVariableImpacts(StreamWriter writer, Store store, Entity model) {
+      var inputVariables = store.SelectObjects(model, Ontology.HasInputVariable);
+      Dictionary<string, List<double>> impacts = new Dictionary<string,List<double>>();
+      foreach (Entity inputVariable in inputVariables) {
+        var variableImpacts = new List<double>();
+        impacts[inputVariable.ToString()] = variableImpacts;
+        variableImpacts.Add((double)(LiteralValue(store.SelectObjects(inputVariable, Ontology.EvaluationImpact)[0])));
+        variableImpacts.Add((double)(LiteralValue(store.SelectObjects(inputVariable, Ontology.QualityImpact)[0])));
+      }
+
+      foreach (string varName in impacts.Keys.OrderBy(x => x)) {
+        writer.Write(impacts[varName][0]); writer.Write("; ");
+        writer.Write(impacts[varName][1]); writer.Write("; ");
+      }
+    }
+
+    private static void WriteColumnHeaders(Store store, StreamWriter writer) {
+      writer.Write("Id; Filename; TargetVariable; " +
+        "TrainingMSE; ValidationMSE; TestMSE; " +
+        "TrainingR2; ValidationR2; TestR2; " +
+        "TrainingMAPE; ValidationMAPE; TestMAPE; " +
+        "TrainingMAPRE; ValidationMAPRE; TestMAPRE; " +
+        "TrainingVAF; ValidationVAF; TestVAF; ");
+
+      List<string> inputVarNames = new List<string>();
+      Statement template = new Statement();
+      template.Predicate = Ontology.HasInputVariable;
+      var inputVars = store.Select(template).Select(x => x.Object);
+      foreach (Entity inputVar in inputVars) {
+        var inputVarName = ((Literal)store.SelectObjects(inputVar, Ontology.Name)[0]).Value;
+        if (!inputVarNames.Contains(inputVarName)) inputVarNames.Add(inputVarName);
+      }
+      inputVarNames.Sort();
+      foreach (string inputVarName in inputVarNames) {
+        writer.Write(inputVarName); writer.Write(": EvaluationImpact; "); 
+        writer.Write(inputVarName); writer.Write(": QualityImpact; ");
+      }
+      writer.WriteLine();
+    }
+
+    private static object LiteralValue(Resource resource) {
+      return ((Literal)resource).ParseValue();
+    }
+  }
+
+  class ModelExporter {
+    private string outputDir;
+    private bool debugging;
+    IFunctionTreeExporter treeExporter = new SymbolicExpressionExporter();
+
+    public ModelExporter(string outputDir, bool debugging) {
+      this.outputDir = outputDir;
+      this.debugging = debugging;
+    }
+
+    public void Export(string modelFileName, IStorable model) {
+      if (debugging) return;
+      if (model is IFunctionTree) {
+        using (StreamWriter writer = File.CreateText(Path.Combine(outputDir, modelFileName + ".gp.txt"))) {
+          writer.Write(treeExporter.Export((IFunctionTree)model));
+        }
+      } else if (model is SVMModel) {
+        SVMModel svmModel = (SVMModel)model;
+        RangeTransform.Write(Path.Combine(outputDir, modelFileName + ".svm.transform.txt"), svmModel.RangeTransform);
+        SVM.Model.Write(Path.Combine(outputDir, modelFileName + ".svm.model.txt"), svmModel.Model);
+      } else throw new NotSupportedException("This type of model is not supported by the CedmaExporter: " + model);
+    }
+  }
+}
Index: branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporter.csproj
===================================================================
--- branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporter.csproj	(revision 2228)
+++ branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporter.csproj	(revision 2228)
@@ -0,0 +1,116 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>9.0.30729</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{59334706-3386-4823-AF9B-B33CD793BA71}</ProjectGuid>
+    <OutputType>WinExe</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>CedmaExporter</RootNamespace>
+    <AssemblyName>CedmaExporter</AssemblyName>
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="HeuristicLab.Core-3.2, Version=3.2.0.2143, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\HeuristicLab.Core-3.2.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.GP-3.3, Version=3.3.0.1534, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\HeuristicLab.GP-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.GP.StructureIdentification-3.3, Version=3.3.0.2161, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\HeuristicLab.GP.StructureIdentification-3.3.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.SupportVectorMachines-3.2, Version=3.2.0.2163, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\HeuristicLab.SupportVectorMachines-3.2.dll</HintPath>
+    </Reference>
+    <Reference Include="LibSVM, Version=2.84.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\LibSVM.dll</HintPath>
+    </Reference>
+    <Reference Include="SemWeb, Version=0.0.0.0, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\SemWeb.dll</HintPath>
+    </Reference>
+    <Reference Include="SemWeb.SqliteStore, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\SemWeb.SqliteStore.dll</HintPath>
+    </Reference>
+    <Reference Include="System" />
+    <Reference Include="System.Core">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Xml.Linq">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data.DataSetExtensions">
+      <RequiredTargetFramework>3.5</RequiredTargetFramework>
+    </Reference>
+    <Reference Include="System.Data" />
+    <Reference Include="System.Deployment" />
+    <Reference Include="System.Drawing" />
+    <Reference Include="System.Windows.Forms" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="CedmaExporter.cs" />
+    <Compile Include="CedmaExporterForm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="CedmaExporterForm.Designer.cs">
+      <DependentUpon>CedmaExporterForm.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Ontology.cs" />
+    <Compile Include="Program.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+    <EmbeddedResource Include="Properties\Resources.resx">
+      <Generator>ResXFileCodeGenerator</Generator>
+      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
+      <SubType>Designer</SubType>
+    </EmbeddedResource>
+    <Compile Include="Properties\Resources.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DependentUpon>Resources.resx</DependentUpon>
+    </Compile>
+    <None Include="Properties\Settings.settings">
+      <Generator>SettingsSingleFileGenerator</Generator>
+      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
+    </None>
+    <Compile Include="Properties\Settings.Designer.cs">
+      <AutoGen>True</AutoGen>
+      <DependentUpon>Settings.settings</DependentUpon>
+      <DesignTimeSharedInput>True</DesignTimeSharedInput>
+    </Compile>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporterForm.Designer.cs
===================================================================
--- branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporterForm.Designer.cs	(revision 2228)
+++ branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporterForm.Designer.cs	(revision 2228)
@@ -0,0 +1,34 @@
+﻿namespace CedmaExporter {
+  partial class CedmaExporterForm {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Text = "Form1";
+    }
+
+    #endregion
+  }
+}
+
Index: branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporterForm.cs
===================================================================
--- branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporterForm.cs	(revision 2228)
+++ branches/CEDMA-Exporter-715/tools/CedmaExporter/CedmaExporterForm.cs	(revision 2228)
@@ -0,0 +1,28 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+namespace CedmaExporter {
+  public partial class CedmaExporterForm : Form {
+
+    public CedmaExporterForm() {
+      InitializeComponent();
+
+      var dialog = new OpenFileDialog();
+      DialogResult result;
+      do {
+        result = dialog.ShowDialog();
+        if (result == DialogResult.OK) {
+          string fileName = dialog.FileName;
+          CedmaExporter.Export(fileName, fileName.Replace(".db3", "") + ".txt");
+        }
+      } while (result != DialogResult.Cancel);
+      Application.Exit();
+    }
+  }
+}
Index: branches/CEDMA-Exporter-715/tools/CedmaExporter/Ontology.cs
===================================================================
--- branches/CEDMA-Exporter-715/tools/CedmaExporter/Ontology.cs	(revision 2228)
+++ branches/CEDMA-Exporter-715/tools/CedmaExporter/Ontology.cs	(revision 2228)
@@ -0,0 +1,342 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Runtime.Serialization;
+using SemWeb;
+
+namespace CedmaExporter {
+  public static class Ontology {
+    public static string CedmaNameSpace {
+      get { return "http://www.heuristiclab.com/cedma/"; }
+    }
+
+    #region model attribute types
+    /// <summary>
+    /// Meta attribute to indicate potential attributes of models.
+    /// </summary>
+    public static Entity TypeModelAttribute {
+      get { return new Entity(CedmaNameSpace + "TypeModelAttribute"); }
+    }
+    /// <summary>
+    /// Meta attribute to indicate potential attributes of input variables.
+    /// </summary>
+    public static Entity TypeInputVariableAttribute {
+      get { return new Entity(CedmaNameSpace + "TypeInputVariableAttribute"); }
+    }
+    /// <summary>
+    /// Meta attribute to indicate potential attributes of problems (data sets).
+    /// </summary>
+    public static Entity TypeProblemAttribute {
+      get { return new Entity(CedmaNameSpace + "TypeProblemAttribute"); }
+    }
+    /// <summary>
+    /// Attribute value is ordinal, values can be sorted.
+    /// Examples are quality measures or complexity measures.
+    /// </summary>
+    public static Entity TypeOrdinalAttribute {
+      get { return new Entity(CedmaNameSpace + "TypeOrdinalAttribute"); }
+    }
+    /// <summary>
+    /// Attribute value is categorical and thus can't be sorted.
+    /// Examples is target-variable.
+    /// </summary>
+    public static Entity TypeCategoricalAttribute {
+      get { return new Entity(CedmaNameSpace + "TypeCategoricalAttribute"); }
+    }
+    /// <summary>
+    /// Attribute is a quality measure
+    /// </summary>
+    public static Entity TypeQualityAttribute {
+      get { return new Entity(CedmaNameSpace + "TypeQualityAttribute"); }
+    }
+    /// <summary>
+    /// Attribute is a complexity measure
+    /// </summary>
+    public static Entity TypeComplexityAttribute {
+      get { return new Entity(CedmaNameSpace + "TypeComplexityAttribute"); }
+    }
+    #endregion
+
+    #region meta-data predicates
+    public static Entity Name {
+      get { return new Entity(CedmaNameSpace + "Name"); }
+    }
+    /// <summary>
+    /// Each entity can have a serialized XML representation that can be loaded in HL.
+    /// </summary>
+    public static Entity SerializedData {
+      get { return new Entity(CedmaNameSpace + "SerializedData"); }
+    }
+    /// <summary>
+    /// Link from data set to model.
+    /// A data set can have multiple models.
+    /// </summary>
+    public static Entity HasModel {
+      get { return new Entity(CedmaNameSpace + "Model"); }
+    }
+    /// <summary>
+    /// Link from model to algorithm.
+    /// An algorithm can generate multiple models, each model is generated by exactly one algorithm.
+    /// </summary>
+    public static Entity GeneratedBy {
+      get { return new Entity(CedmaNameSpace + "GeneratedBy"); }
+    }
+    /// <summary>
+    /// Link from model to input variable impact
+    /// Each model can have multiple input variables and each of the input variables can have a different impact on the model.
+    /// </summary>
+    public static Entity HasInputVariable {
+      get { return new Entity(CedmaNameSpace + "InputVariable"); }
+    }
+    #endregion
+
+    #region types and type relations
+    public static Entity InstanceOf {
+      get { return new Entity(CedmaNameSpace + "InstanceOf"); }
+    }
+    public static Entity TypeDataSet {
+      get { return new Entity(CedmaNameSpace + "DataSet"); }
+    }
+    public static Entity TypeAlgorithm {
+      get { return new Entity(CedmaNameSpace + "Algorithm"); }
+    }
+    public static Entity TypeModel {
+      get { return new Entity(CedmaNameSpace + "Model"); }
+    }
+    public static Entity TypeVariableImpact {
+      get { return new Entity(CedmaNameSpace + "VariableImpact"); }
+    }
+    #endregion
+
+    #region attributes for models
+    public static Entity TargetVariable {
+      get { return new Entity(CedmaNameSpace + "TargetVariable"); }
+    }
+    public static Entity TrainingMeanSquaredError {
+      get { return new Entity(CedmaNameSpace + "TrainingMeanSquaredError"); }
+    }
+    public static Entity ValidationMeanSquaredError {
+      get { return new Entity(CedmaNameSpace + "ValidationMeanSquaredError"); }
+    }
+    public static Entity TestMeanSquaredError {
+      get { return new Entity(CedmaNameSpace + "TestMeanSquaredError"); }
+    }
+    public static Entity TrainingMeanAbsolutePercentageError {
+      get { return new Entity(CedmaNameSpace + "TrainingMeanAbsolutePercentageError"); }
+    }
+    public static Entity ValidationMeanAbsolutePercentageError {
+      get { return new Entity(CedmaNameSpace + "ValidationMeanAbsolutePercentageError"); }
+    }
+    public static Entity TestMeanAbsolutePercentageError {
+      get { return new Entity(CedmaNameSpace + "TestMeanAbsolutePercentageError"); }
+    }
+    public static Entity TrainingMeanAbsolutePercentageOfRangeError {
+      get { return new Entity(CedmaNameSpace + "TrainingMeanAbsolutePercentageOfRangeError"); }
+    }
+    public static Entity ValidationMeanAbsolutePercentageOfRangeError {
+      get { return new Entity(CedmaNameSpace + "ValidationMeanAbsolutePercentageOfRangeError"); }
+    }
+    public static Entity TestMeanAbsolutePercentageOfRangeError {
+      get { return new Entity(CedmaNameSpace + "TestMeanAbsolutePercentageOfRangeError"); }
+    }
+    public static Entity TrainingCoefficientOfDetermination {
+      get { return new Entity(CedmaNameSpace + "TrainingCoefficientOfDetermination"); }
+    }
+    public static Entity ValidationCoefficientOfDetermination {
+      get { return new Entity(CedmaNameSpace + "ValidationCoefficientOfDetermination"); }
+    }
+    public static Entity TestCoefficientOfDetermination {
+      get { return new Entity(CedmaNameSpace + "TestCoefficientOfDetermination"); }
+    }
+    public static Entity TrainingVarianceAccountedFor {
+      get { return new Entity(CedmaNameSpace + "TrainingVarianceAccountedFor"); }
+    }
+    public static Entity ValidationVarianceAccountedFor {
+      get { return new Entity(CedmaNameSpace + "ValidationVarianceAccountedFor"); }
+    }
+    public static Entity TestVarianceAccountedFor {
+      get { return new Entity(CedmaNameSpace + "TestVarianceAccountedFor"); }
+    }
+    public static Entity TrainingAccuracy {
+      get { return new Entity(CedmaNameSpace + "TrainingAccuracy"); }
+    }
+    public static Entity ValidationAccuracy {
+      get { return new Entity(CedmaNameSpace + "ValidationAccuracy"); }
+    }
+    public static Entity TestAccuracy {
+      get { return new Entity(CedmaNameSpace + "TestAccuracy"); }
+    }
+    public static Entity TrainingTheilsInequalityCoefficient {
+      get { return new Entity(CedmaNameSpace + "TrainingTheilsInequalityCoefficient"); }
+    }
+    public static Entity ValidationTheilsInequalityCoefficient {
+      get { return new Entity(CedmaNameSpace + "ValidationTheilsInequalityCoefficient"); }
+    }
+    public static Entity TestTheilsInequalityCoefficient {
+      get { return new Entity(CedmaNameSpace + "TestTheilsInequalityCoefficient"); }
+    }
+    public static Entity TreeSize {
+      get { return new Entity(CedmaNameSpace + "TreeSize"); }
+    }
+    public static Entity TreeHeight {
+      get { return new Entity(CedmaNameSpace + "TreeHeight"); }
+    }
+    public static Entity EvaluatedSolutions {
+      get { return new Entity(CedmaNameSpace + "EvaluatedSolutions"); }
+    }
+    #endregion
+    #region attributes for input variables
+    public static Entity EvaluationImpact {
+      get { return new Entity(CedmaNameSpace + "EvaluationImpact"); }
+    }
+    public static Entity QualityImpact {
+      get { return new Entity(CedmaNameSpace + "QualityImpact"); }
+    }
+    #endregion
+
+    public static ICollection<Statement> InitialStatements {
+      get {
+        return new List<Statement> {
+          new Statement(TargetVariable, InstanceOf, TypeCategoricalAttribute),
+          new Statement(TargetVariable, InstanceOf, TypeModelAttribute),
+          
+          new Statement(TrainingMeanSquaredError, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TrainingMeanSquaredError, InstanceOf, TypeQualityAttribute),
+          new Statement(TrainingMeanSquaredError, InstanceOf, TypeModelAttribute),
+          
+          new Statement(ValidationMeanSquaredError, InstanceOf, TypeOrdinalAttribute),
+          new Statement(ValidationMeanSquaredError, InstanceOf, TypeQualityAttribute),
+          new Statement(ValidationMeanSquaredError, InstanceOf, TypeModelAttribute),
+
+          new Statement(TestMeanSquaredError, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TestMeanSquaredError, InstanceOf, TypeQualityAttribute),
+          new Statement(TestMeanSquaredError, InstanceOf, TypeModelAttribute),
+          
+          new Statement(TrainingMeanAbsolutePercentageError, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TrainingMeanAbsolutePercentageError, InstanceOf, TypeQualityAttribute),
+          new Statement(TrainingMeanAbsolutePercentageError, InstanceOf, TypeModelAttribute),
+          
+          new Statement(ValidationMeanAbsolutePercentageError, InstanceOf, TypeOrdinalAttribute),
+          new Statement(ValidationMeanAbsolutePercentageError, InstanceOf, TypeQualityAttribute),
+          new Statement(ValidationMeanAbsolutePercentageError, InstanceOf, TypeModelAttribute),
+          
+          new Statement(TestMeanAbsolutePercentageError, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TestMeanAbsolutePercentageError, InstanceOf, TypeQualityAttribute),
+          new Statement(TestMeanAbsolutePercentageError, InstanceOf, TypeModelAttribute),
+          
+          new Statement(TrainingMeanAbsolutePercentageOfRangeError, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TrainingMeanAbsolutePercentageOfRangeError, InstanceOf, TypeQualityAttribute),
+          new Statement(TrainingMeanAbsolutePercentageOfRangeError, InstanceOf, TypeModelAttribute),
+          
+          new Statement(ValidationMeanAbsolutePercentageOfRangeError, InstanceOf, TypeOrdinalAttribute),
+          new Statement(ValidationMeanAbsolutePercentageOfRangeError, InstanceOf, TypeQualityAttribute),
+          new Statement(ValidationMeanAbsolutePercentageOfRangeError, InstanceOf, TypeModelAttribute),
+          
+          new Statement(TestMeanAbsolutePercentageOfRangeError, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TestMeanAbsolutePercentageOfRangeError, InstanceOf, TypeQualityAttribute),
+          new Statement(TestMeanAbsolutePercentageOfRangeError, InstanceOf, TypeModelAttribute),
+          
+          new Statement(TrainingCoefficientOfDetermination, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TrainingCoefficientOfDetermination, InstanceOf, TypeQualityAttribute),
+          new Statement(TrainingCoefficientOfDetermination, InstanceOf, TypeModelAttribute),
+          
+          new Statement(ValidationCoefficientOfDetermination, InstanceOf, TypeOrdinalAttribute),
+          new Statement(ValidationCoefficientOfDetermination, InstanceOf, TypeQualityAttribute),
+          new Statement(ValidationCoefficientOfDetermination, InstanceOf, TypeModelAttribute),
+          
+          new Statement(TestCoefficientOfDetermination, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TestCoefficientOfDetermination, InstanceOf, TypeQualityAttribute),
+          new Statement(TestCoefficientOfDetermination, InstanceOf, TypeModelAttribute),
+          
+          new Statement(TrainingVarianceAccountedFor, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TrainingVarianceAccountedFor, InstanceOf, TypeQualityAttribute),
+          new Statement(TrainingVarianceAccountedFor, InstanceOf, TypeModelAttribute),
+          
+          new Statement(ValidationVarianceAccountedFor, InstanceOf, TypeOrdinalAttribute),
+          new Statement(ValidationVarianceAccountedFor, InstanceOf, TypeQualityAttribute),
+          new Statement(ValidationVarianceAccountedFor, InstanceOf, TypeModelAttribute),
+          
+          new Statement(TestVarianceAccountedFor, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TestVarianceAccountedFor, InstanceOf, TypeQualityAttribute),
+          new Statement(TestVarianceAccountedFor, InstanceOf, TypeModelAttribute),
+          
+          new Statement(TrainingAccuracy, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TrainingAccuracy, InstanceOf, TypeQualityAttribute),
+          new Statement(TrainingAccuracy, InstanceOf, TypeModelAttribute),
+          
+          new Statement(ValidationAccuracy, InstanceOf, TypeOrdinalAttribute),
+          new Statement(ValidationAccuracy, InstanceOf, TypeQualityAttribute),
+          new Statement(ValidationAccuracy, InstanceOf, TypeModelAttribute),
+
+          new Statement(TestAccuracy, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TestAccuracy, InstanceOf, TypeQualityAttribute),
+          new Statement(TestAccuracy, InstanceOf, TypeModelAttribute),
+          
+          new Statement(TrainingTheilsInequalityCoefficient, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TrainingTheilsInequalityCoefficient, InstanceOf, TypeQualityAttribute),
+          new Statement(TrainingTheilsInequalityCoefficient, InstanceOf, TypeModelAttribute),
+          
+          new Statement(ValidationTheilsInequalityCoefficient, InstanceOf, TypeOrdinalAttribute),
+          new Statement(ValidationTheilsInequalityCoefficient, InstanceOf, TypeQualityAttribute),
+          new Statement(ValidationTheilsInequalityCoefficient, InstanceOf, TypeModelAttribute),
+          
+          new Statement(TestTheilsInequalityCoefficient, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TestTheilsInequalityCoefficient, InstanceOf, TypeQualityAttribute),
+          new Statement(TestTheilsInequalityCoefficient, InstanceOf, TypeModelAttribute),
+
+          new Statement(TreeSize, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TreeSize, InstanceOf, TypeComplexityAttribute),
+          new Statement(TreeSize, InstanceOf, TypeModelAttribute),
+          
+          new Statement(TreeHeight, InstanceOf, TypeOrdinalAttribute),
+          new Statement(TreeHeight, InstanceOf, TypeComplexityAttribute),
+          new Statement(TreeHeight, InstanceOf, TypeModelAttribute),
+          
+          new Statement(EvaluatedSolutions, InstanceOf, TypeOrdinalAttribute),
+          new Statement(EvaluatedSolutions, InstanceOf, TypeModelAttribute),
+
+          new Statement(Name, InstanceOf, TypeCategoricalAttribute),
+          new Statement(Name, InstanceOf, TypeModelAttribute),
+          new Statement(Name, InstanceOf, TypeProblemAttribute),
+          new Statement(Name, InstanceOf, TypeInputVariableAttribute),
+          
+          new Statement(QualityImpact, InstanceOf, TypeOrdinalAttribute),
+          new Statement(QualityImpact, InstanceOf, TypeInputVariableAttribute),
+
+          new Statement(EvaluationImpact, InstanceOf, TypeOrdinalAttribute),
+          new Statement(EvaluationImpact, InstanceOf, TypeInputVariableAttribute)
+        };
+      }
+    }
+
+
+    /// <summary>
+    /// Wildcard entity for filtering.
+    /// </summary>
+    public static Entity AnyEntity {
+      get { return new Entity(null); }
+    }
+  }
+}
Index: branches/CEDMA-Exporter-715/tools/CedmaExporter/Program.cs
===================================================================
--- branches/CEDMA-Exporter-715/tools/CedmaExporter/Program.cs	(revision 2228)
+++ branches/CEDMA-Exporter-715/tools/CedmaExporter/Program.cs	(revision 2228)
@@ -0,0 +1,18 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Windows.Forms;
+
+namespace CedmaExporter {
+  static class Program {
+    /// <summary>
+    /// The main entry point for the application.
+    /// </summary>
+    [STAThread]
+    static void Main() {
+      Application.EnableVisualStyles();
+      Application.SetCompatibleTextRenderingDefault(false);
+      Application.Run(new CedmaExporterForm());
+    }
+  }
+}
Index: branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/AssemblyInfo.cs
===================================================================
--- branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/AssemblyInfo.cs	(revision 2228)
+++ branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/AssemblyInfo.cs	(revision 2228)
@@ -0,0 +1,36 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("CedmaExporter")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("CedmaExporter")]
+[assembly: AssemblyCopyright("Copyright ©  2009")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("437e05ba-6a09-4608-8e36-05c05921605a")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("1.0.0.0")]
+[assembly: AssemblyFileVersion("1.0.0.0")]
Index: branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/Resources.Designer.cs
===================================================================
--- branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/Resources.Designer.cs	(revision 2228)
+++ branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/Resources.Designer.cs	(revision 2228)
@@ -0,0 +1,62 @@
+﻿//------------------------------------------------------------------------------
+// <auto-generated>
+//     This code was generated by a tool.
+//     Runtime Version:2.0.50727.4016
+//
+//     Changes to this file may cause incorrect behavior and will be lost if
+//     the code is regenerated.
+// </auto-generated>
+//------------------------------------------------------------------------------
+
+namespace CedmaExporter.Properties {
+
+
+  /// <summary>
+  ///   A strongly-typed resource class, for looking up localized strings, etc.
+  /// </summary>
+  // This class was auto-generated by the StronglyTypedResourceBuilder
+  // class via a tool like ResGen or Visual Studio.
+  // To add or remove a member, edit your .ResX file then rerun ResGen
+  // with the /str option, or rebuild your VS project.
+  [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "2.0.0.0")]
+  [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+  [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+  internal class Resources {
+
+    private static global::System.Resources.ResourceManager resourceMan;
+
+    private static global::System.Globalization.CultureInfo resourceCulture;
+
+    [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
+    internal Resources() {
+    }
+
+    /// <summary>
+    ///   Returns the cached ResourceManager instance used by this class.
+    /// </summary>
+    [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+    internal static global::System.Resources.ResourceManager ResourceManager {
+      get {
+        if ((resourceMan == null)) {
+          global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("CedmaExporter.Properties.Resources", typeof(Resources).Assembly);
+          resourceMan = temp;
+        }
+        return resourceMan;
+      }
+    }
+
+    /// <summary>
+    ///   Overrides the current thread's CurrentUICulture property for all
+    ///   resource lookups using this strongly typed resource class.
+    /// </summary>
+    [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+    internal static global::System.Globalization.CultureInfo Culture {
+      get {
+        return resourceCulture;
+      }
+      set {
+        resourceCulture = value;
+      }
+    }
+  }
+}
Index: branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/Resources.resx
===================================================================
--- branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/Resources.resx	(revision 2228)
+++ branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/Resources.resx	(revision 2228)
@@ -0,0 +1,117 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/Settings.Designer.cs
===================================================================
--- branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/Settings.Designer.cs	(revision 2228)
+++ branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/Settings.Designer.cs	(revision 2228)
@@ -0,0 +1,26 @@
+﻿//------------------------------------------------------------------------------
+// <auto-generated>
+//     This code was generated by a tool.
+//     Runtime Version:2.0.50727.4016
+//
+//     Changes to this file may cause incorrect behavior and will be lost if
+//     the code is regenerated.
+// </auto-generated>
+//------------------------------------------------------------------------------
+
+namespace CedmaExporter.Properties {
+
+
+  [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+  [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "9.0.0.0")]
+  internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
+
+    private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
+
+    public static Settings Default {
+      get {
+        return defaultInstance;
+      }
+    }
+  }
+}
Index: branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/Settings.settings
===================================================================
--- branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/Settings.settings	(revision 2228)
+++ branches/CEDMA-Exporter-715/tools/CedmaExporter/Properties/Settings.settings	(revision 2228)
@@ -0,0 +1,7 @@
+﻿<?xml version='1.0' encoding='utf-8'?>
+<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)">
+  <Profiles>
+    <Profile Name="(Default)" />
+  </Profiles>
+  <Settings />
+</SettingsFile>
Index: branches/CEDMA-Exporter-715/tools/Tools.sln
===================================================================
--- branches/CEDMA-Exporter-715/tools/Tools.sln	(revision 2227)
+++ branches/CEDMA-Exporter-715/tools/Tools.sln	(revision 2228)
@@ -11,4 +11,6 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "Wizards", "Wizards\Wizards.csproj", "{1E4B971A-83BA-4C39-BE19-D09B13CF7242}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "CedmaExporter", "CedmaExporter\CedmaExporter.csproj", "{59334706-3386-4823-AF9B-B33CD793BA71}"
 EndProject
 Global
@@ -26,4 +28,8 @@
 		{1E4B971A-83BA-4C39-BE19-D09B13CF7242}.Release|Any CPU.ActiveCfg = Release|Any CPU
 		{1E4B971A-83BA-4C39-BE19-D09B13CF7242}.Release|Any CPU.Build.0 = Release|Any CPU
+		{59334706-3386-4823-AF9B-B33CD793BA71}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{59334706-3386-4823-AF9B-B33CD793BA71}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{59334706-3386-4823-AF9B-B33CD793BA71}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{59334706-3386-4823-AF9B-B33CD793BA71}.Release|Any CPU.Build.0 = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
